Skip to main content
PUT
/
api
/
integrations
/
kaggle
Update Kaggle Settings
curl --request PUT \
  --url https://api.example.com/api/integrations/kaggle \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "enabled": true,
  "username": "<string>",
  "key": "<string>",
  "clear_key": true
}
'
{
  "enabled": false,
  "username": "<string>",
  "has_key": false,
  "saved_credentials": [
    {
      "id": "<string>",
      "masked_key": "<string>",
      "username": "<string>",
      "created_at": "<string>"
    }
  ],
  "is_active": false
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-API-Key
string | null

Cookies

antidote_session
string | null

Body

application/json
enabled
boolean | null
username
string | null
key
string | null
clear_key
boolean | null

Response

Successful Response

enabled
boolean
default:false
username
string | null
has_key
boolean
default:false
saved_credentials
SavedKaggleCredentialEntry · object[]
is_active
boolean
default:false